Type to search.

Clear cluster voting config exclusions

  • DELETE /_cluster/voting_config_exclusions
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.0 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Remove master-eligible nodes from the voting configuration exclusion list.

More about node management

Required privileges

Cluster privileges manage

Query parameters

master_timeout string · default: 30s

Period to wait for a connection to the master node.

wait_for_removal boolean · default: true

Specifies whether to wait for all excluded nodes to be removed from the cluster before clearing the voting configuration exclusions list. Defaults to true, meaning that all excluded nodes must be removed from the cluster before this API takes any action. If set to false then the voting configuration exclusions list is cleared even if some excluded nodes are still in the cluster.

Response

200 application/json